Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.local
Interface LocalConnection

All Superinterfaces:
  JMXConnection

public interface LocalConnection
extends JMXConnection

Version:
  $Revision: 1.6 $

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback, javax.security.auth.Subject delegate)`
`void` | `removeNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback, javax.security.auth.Subject delegate)`
`void` | `removeNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.security.auth.Subject delegate)`

Methods inherited from interface mx4j.tools.remote.JMXConnection
`addNotificationListener, close, createMBean, createMBean, getAttribute, getAttributes, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName observed,
                                        javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback,
                                        javax.security.auth.Subject delegate)
                                 throws javax.management.InstanceNotFoundException,
                                        java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.NotificationListener listener,
                                           javax.security.auth.Subject delegate)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback,
                                           javax.security.auth.Subject delegate)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.